#include <QObject>
#include <QCoreApplication>
#include <knotification.h>
#include <klocale.h>
#include <kdebug.h>

#ifndef KERNELUPDATENOTIFIER_H
#define KERNELUPDATENOTIFIER_H

class KernelUpdateNotifier: public QObject {
        Q_OBJECT

private slots:
        void handleRebootAction();
        void handleRebootActionClosed();

public:
	void sendNotify(const QString &version);

private:
        KNotification *notify;

};

#endif

